Apache JMeter

## org.apache.jmeter.engine.util
Class ValueReplacer

    java.lang.Object
      org.apache.jmeter.engine.util.ValueReplacer

    public class ValueReplacer

extends Object

Perfom replacement of ${variable} references.

Constructor Summary
`ValueReplacer()`
`ValueReplacer(TestPlan tp)`

Method Summary
`void` `addVariable(String name, String value)`
`void` `addVariables(Map<String,String> vars)` Add all the given variables to this replacer's variables map.
`void` `replaceValues(TestElement el)`
`void` `reverseReplace(TestElement el)`
`void` `reverseReplace(TestElement el, boolean regexMatch)`
`void` `setUserDefinedVariables(Map<String,String> variables)`
`void` `undoReverseReplace(TestElement el)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueReplacer

    public ValueReplacer()

### ValueReplacer

    public ValueReplacer(TestPlan tp)

Method Detail

### setUserDefinedVariables

    public void setUserDefinedVariables(Map<String,String> variables)

### replaceValues

    public void replaceValues(TestElement el)
                       throws InvalidVariableException

  Throws:
    `InvalidVariableException`

### reverseReplace

    public void reverseReplace(TestElement el)
                        throws InvalidVariableException

  Throws:
    `InvalidVariableException`

### reverseReplace

    public void reverseReplace(TestElement el,
                               boolean regexMatch)
                        throws InvalidVariableException

  Throws:
    `InvalidVariableException`

### undoReverseReplace

    public void undoReverseReplace(TestElement el)
                            throws InvalidVariableException

  Throws:
    `InvalidVariableException`

### addVariable

    public void addVariable(String name,
                            String value)

### addVariables

    public void addVariables(Map<String,String> vars)

  Add all the given variables to this replacer's variables map.

  Parameters:
    `vars` - A map of variable name-value pairs (String-to-String).

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.